Voir le flux RSS

Le Blog d'un Ninja codeur

[Actualité] Utiliser Visual Studio Code avec une version de TypeScript plus récente

Noter ce billet
par , 20/07/2016 à 10h27 (1024 Affichages)


Comme cela a été publié sur le forum, la version 2.0 de TypeScript est disponible en beta. Pour utiliser cette nouvelle version avec Visual Studio, un plugin adéquat a été mis à disposition par Microsoft. Cependant, pour ceux qui utilisent son petit frère qu'est Visual Studio Code, ils peuvent se retrouver coincés avec la version 1.8 de TypeScript intégrée avec l'outil, en attendant la mise en production de TypeScript 2.0.

Pour remédier à cela, il est possible de configurer la version de TypeScript qu'utilise Visual Studio Code. Il suffit de suivre les quelques étapes que voici.

1. Si ce n'est pas déjà fait, téléchargez la version beta de TypeScript 2.0 via la commande suivante : npm install -g typescript@beta.
Cela suppose évidemment d'avoir installé nodeJS au préalable. Mais bon, difficile de faire sans de nos jours.

A noter que pour installer la version nightly, encore plus expérimentale donc, c'est la commande suivante qu'il faut lancer : npm install -g typescript@next.

TypeScript devrait avoir été installé dans un répertoire de la forme <utilisateur>/<espace de travail>/npm/npm_modules/typescript/lib/.

Pour identifier le répertoire, vous pouvez toujours lancer la recherche du fichier tsserver.js, puisqu'il s'agit du fichier contenant l'API Language Service utilisé par Visual Studio Code pour tout ce qui est analyse syntaxique à la volée.

2. Une fois le répertoire identifié, ouvrez Visual Studio Code, puis cliquez sur le menu Fichier/Préférences/Paramètres utilisateur. Un fichier settings.json devrait s'ouvrir. A l'intérieur de celui-ci, ajoutez la ligne suivante : "typescript.tsdk": <utilisateur>/<espace de travail>/npm/npm_modules/typescript/lib/.
A droite de la clé typescript.tsdk, il faut saisir le répertoire où se trouve la nouvelle version de TypeScript à prendre en compte par Visual Studio Code. Celui de l'étape précédente.

3. Il ne vous reste plus qu'à sauvegarder et à relancer Visual Studio Code. En ouvrant un fichier .ts, vous devriez voir "TypeScript 2.0.0" tout en bas à droite, indiquant que la nouvelle version de TypeScript a bien été prise en compte.

Bon développement !

Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Viadeo Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Twitter Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Google Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Facebook Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Digg Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Delicious Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog MySpace Envoyer le billet « Utiliser Visual Studio Code avec une version de TypeScript plus récente » dans le blog Yahoo

Mis à jour 20/07/2016 à 14h38 par yahiko

Catégories
TypeScript , Développement , Développement Web

Commentaires